Package io.dapr.v1

# Interface DaprProtos.SubscribeConfigurationRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubscribeConfigurationRequest`, `DaprProtos.SubscribeConfigurationRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubscribeConfigurationRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to configuration store components.
`String`
`getKeys(int index)`
Optional.
`com.google.protobuf.ByteString`
`getKeysBytes(int index)`
Optional.
`int`
`getKeysCount()`
Optional.
`List<String>`
`getKeysList()`
Optional.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to configuration store components.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to configuration store components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to configuration store components.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to configuration store components.
`String`
`getStoreName()`
The name of configuration store.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
The name of configuration store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()

     The name of configuration store.

`string store_name = 1;`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()

     The name of configuration store.

`string store_name = 1;`

Returns:
  The bytes for storeName.

### getKeysList

List<String> getKeysList()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Returns:
  A list containing the keys.

### getKeysCount

int getKeysCount()

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Returns:
  The count of keys.

### getKeys

String getKeys(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

### getKeysBytes

com.google.protobuf.ByteString getKeysBytes(int index)

     Optional. The key of the configuration item to fetch.
     If set, only query for the specified configuration items.
     Empty list means fetch all.

`repeated string keys = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to configuration store components.

`map<string, string> metadata = 3;`